CREATE TABLE fnd_label_tl (
    ENTERPRISE_ID          NUMBER(18, 0) ,
    TREE_STRUCTURE_CODE    VARCHAR2(120) ,
    DATA_SOURCE_ID         VARCHAR2(128) ,
    LABEL_ID               VARCHAR2(128) ,
    LABEL_NAME             VARCHAR2(320)     NOT NULL,
    DESCRIPTION            VARCHAR2(960) ,
    LANGUAGE               VARCHAR2(16)  ,
    SOURCE_LANG            VARCHAR2(16)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID          NUMBER(18, 0) ,
    TREE_STRUCTURE_CODE    VARCHAR2(120) ,
    DATA_SOURCE_ID         VARCHAR2(128) ,
    LABEL_ID               VARCHAR2(128) ,
    LABEL_NAME             VARCHAR2(320)     NOT NULL,
    DESCRIPTION            VARCHAR2(960) ,
    LANGUAGE               VARCHAR2(16)  ,
    SOURCE_LANG            VARCHAR2(16)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_label_tl PRIMARY KEY (ENTERPRISE_ID, TREE_STRUCTURE_CODE, DATA_SOURCE_ID, LABEL_ID, LANGUAGE, ENTERPRISE_ID, TREE_STRUCTURE_CODE, DATA_SOURCE_ID, LABEL_ID, LANGUAGE)
);
